{% extends 'base.html' %}

{% block sidebar %}
<h4>From A to Z</h4>
<ul>
    <li><a href="#A">A</a></li>
    <li><a href="#B">B</a></li>
    <li><a href="#C">C</a></li>
    <li><a href="#D">D</a></li>
    <li><a href="#E">E</a></li>
    <li><a href="#F">F</a></li>
    <li><a href="#G">G</a></li>
    <li><a href="#H">H</a></li>
    <li><a href="#I">I</a></li>
    <li><a href="#J">J</a></li>
    <li><a href="#K">K</a></li>
    <li><a href="#L">L</a></li>
    <li><a href="#M">M</a></li>
    <li><a href="#N">N</a></li>
    <li><a href="#O">O</a></li>
    <li><a href="#P">P</a></li>
    <li><a href="#Q">Q</a></li>
    <li><a href="#R">R</a></li>
    <li><a href="#S">S</a></li>
    <li><a href="#T">T</a></li>
    <li><a href="#U">U</a></li>
    <li><a href="#V">V</a></li>
    <li><a href="#Y">Y</a></li>
    <li><a href="#Z">Z</a></li>
</ul>
{% endblock %}

{% block content %}

<h2>Chilean Slang</h2>
<hr>
{% if amusing == 'admin' %}
<form action="/slang/add" method="POST">
    {% csrf_token %}
    <input type="hidden" name="">
    <label for="word">Word</label>
    <input type="text" name="word" id="word" class="form-control" required>
    <label for="meaning">Meaning</label>
    <textarea name="meaning" id="meaning" cols="30" rows="6" class="form-control" required></textarea>
    <br>
    <input type="submit" value="Add" class="btn btn-primary bgBlue">
    <input type="reset" value="Clear" class="btn btn-primary bgBlue">
</form>
<hr>
{% endif %}

<h4 id="A">A</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'A' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="B">B</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'B' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="C">C</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'C' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="D">D</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'D' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="E">E</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'E' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="F">F</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'F' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="G">G</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'G' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="H">H</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'H' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="I">I</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'I' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="J">J</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'J' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="K">K</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'K' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="L">L</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'L' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="M">M</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'M' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="N">N</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'N' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="O">O</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'O' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="P">P</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'P' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="Q">Q</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'Q' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="R">R</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'R' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="S">S</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'S' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="T">T</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'T' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="U">U</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'U' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="V">V</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'V' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="Y">Y</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'Y' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>
<hr>

<h4 id="Z">Z</h4>
<p>
{% for s in words %}
{% if s.word.0 == 'Z' %}
{{s.word}}: {{s.meaning}} {% if amusing == 'admin' %} <a class="smallcat" href="/slang/edit/{{s.id}}">Edit</a> <a class="smallcat" href="/slang/delete/{{s.id}}">Delete</a> {% endif %} <br>
{% endif %}
{% endfor %}
</p>

{% endblock %}